---
apiVersion: v1
kind: Pod
metadata:
  annotations:
    k8s.ovn.org/pod-networks: '{"default":{"ip_addresses":["10.128.0.10/23"],"mac_address":"7a:be:ac:80:00:0b","gateway_ips":["10.128.0.1"],"ip_address":"10.128.0.10/23","gateway_ip":"10.128.0.1"}}'
    k8s.v1.cni.cncf.io/network-status: |-
      [{
          "name": "ovn-kubernetes",
          "interface": "eth0",
          "ips": [
              "10.128.0.10"
          ],
          "mac": "7a:be:ac:80:00:0b",
          "default": true,
          "dns": {}
      }]
    k8s.v1.cni.cncf.io/networks-status: |-
      [{
          "name": "ovn-kubernetes",
          "interface": "eth0",
          "ips": [
              "10.128.0.10"
          ],
          "mac": "7a:be:ac:80:00:0b",
          "default": true,
          "dns": {}
      }]
    openshift.io/scc: privileged
  creationTimestamp: "2020-05-26T14:11:09Z"
  generateName: cluster-node-tuning-operator-79c9b99c7-
  labels:
    name: cluster-node-tuning-operator
    pod-template-hash: 79c9b99c7
  managedFields:
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:generateName: {}
        f:labels:
          .: {}
          f:name: {}
          f:pod-template-hash: {}
        f:ownerReferences:
          .: {}
          k:{"uid":"cdcd7ba0-44b1-4ad7-84de-4440c7503749"}:
            .: {}
            f:apiVersion: {}
            f:blockOwnerDeletion: {}
            f:controller: {}
            f:kind: {}
            f:name: {}
            f:uid: {}
      f:spec:
        f:containers:
          k:{"name":"cluster-node-tuning-operator"}:
            .: {}
            f:args: {}
            f:command: {}
            f:env:
              .: {}
              k:{"name":"CLUSTER_NODE_TUNED_IMAGE"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"POD_NAME"}:
                .: {}
                f:name: {}
                f:valueFrom:
                  .: {}
                  f:fieldRef:
                    .: {}
                    f:apiVersion: {}
                    f:fieldPath: {}
              k:{"name":"RELEASE_VERSION"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"RESYNC_PERIOD"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"WATCH_NAMESPACE"}:
                .: {}
                f:name: {}
                f:valueFrom:
                  .: {}
                  f:fieldRef:
                    .: {}
                    f:apiVersion: {}
                    f:fieldPath: {}
            f:image: {}
            f:imagePullPolicy: {}
            f:name: {}
            f:resources:
              .: {}
              f:requests:
                .: {}
                f:cpu: {}
                f:memory: {}
            f:terminationMessagePath: {}
            f:terminationMessagePolicy: {}
        f:dnsPolicy: {}
        f:enableServiceLinks: {}
        f:nodeSelector:
          .: {}
          f:node-role.kubernetes.io/master: {}
        f:priorityClassName: {}
        f:restartPolicy: {}
        f:schedulerName: {}
        f:securityContext:
          .: {}
          f:runAsNonRoot: {}
          f:runAsUser: {}
        f:serviceAccount: {}
        f:serviceAccountName: {}
        f:terminationGracePeriodSeconds: {}
        f:tolerations: {}
    manager: kube-controller-manager
    operation: Update
    time: "2020-05-26T14:11:09Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:conditions:
          .: {}
          k:{"type":"PodScheduled"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:message: {}
            f:reason: {}
            f:status: {}
            f:type: {}
    manager: kube-scheduler
    operation: Update
    time: "2020-05-26T14:15:34Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          f:k8s.ovn.org/pod-networks: {}
    manager: ovnkube
    operation: Update
    time: "2020-05-26T14:17:04Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          f:k8s.v1.cni.cncf.io/network-status: {}
          f:k8s.v1.cni.cncf.io/networks-status: {}
    manager: multus
    operation: Update
    time: "2020-05-26T14:17:07Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:conditions:
          k:{"type":"ContainersReady"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"Initialized"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"Ready"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
        f:containerStatuses: {}
        f:hostIP: {}
        f:phase: {}
        f:podIP: {}
        f:podIPs:
          .: {}
          k:{"ip":"10.128.0.10"}:
            .: {}
            f:ip: {}
        f:startTime: {}
    manager: kubelet
    operation: Update
    time: "2020-05-26T14:17:24Z"
  name: cluster-node-tuning-operator-79c9b99c7-knhl2
  namespace: openshift-cluster-node-tuning-operator
  ownerReferences:
  - apiVersion: apps/v1
    blockOwnerDeletion: true
    controller: true
    kind: ReplicaSet
    name: cluster-node-tuning-operator-79c9b99c7
    uid: cdcd7ba0-44b1-4ad7-84de-4440c7503749
  resourceVersion: "3588"
  selfLink: /api/v1/namespaces/openshift-cluster-node-tuning-operator/pods/cluster-node-tuning-operator-79c9b99c7-knhl2
  uid: 2e68147f-a7a9-4a74-a4d4-23ba233c5996
spec:
  containers:
  - args:
    - -v=0
    command:
    - cluster-node-tuning-operator
    env:
    - name: RELEASE_VERSION
      value: 0.0.1-2020-05-26-050349
    - name: WATCH_NAMESPACE
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: metadata.namespace
    - name: POD_NAME
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: metadata.name
    - name: RESYNC_PERIOD
      value: "600"
    - name: CLUSTER_NODE_TUNED_IMAGE
      value: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:896f77056906fe7dd2305318b1f15812496c4267df8095216f150dafc0060040
    image: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:896f77056906fe7dd2305318b1f15812496c4267df8095216f150dafc0060040
    imagePullPolicy: IfNotPresent
    name: cluster-node-tuning-operator
    resources:
      requests:
        cpu: 10m
        memory: 20Mi
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: FallbackToLogsOnError
    volumeMounts:
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: cluster-node-tuning-operator-token-ns2d4
      readOnly: true
  dnsPolicy: ClusterFirst
  enableServiceLinks: true
  nodeName: ip-10-0-147-37.ec2.internal
  nodeSelector:
    node-role.kubernetes.io/master: ""
  priority: 2000000000
  priorityClassName: system-cluster-critical
  restartPolicy: Always
  schedulerName: default-scheduler
  securityContext:
    runAsNonRoot: true
    runAsUser: 499
  serviceAccount: cluster-node-tuning-operator
  serviceAccountName: cluster-node-tuning-operator
  terminationGracePeriodSeconds: 30
  tolerations:
  - effect: NoSchedule
    key: node-role.kubernetes.io/master
    operator: Exists
  - effect: NoExecute
    key: node.kubernetes.io/unreachable
    operator: Exists
    tolerationSeconds: 120
  - effect: NoExecute
    key: node.kubernetes.io/not-ready
    operator: Exists
    tolerationSeconds: 120
  - effect: NoSchedule
    key: node.kubernetes.io/memory-pressure
    operator: Exists
  volumes:
  - name: cluster-node-tuning-operator-token-ns2d4
    secret:
      defaultMode: 420
      secretName: cluster-node-tuning-operator-token-ns2d4
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2020-05-26T14:17:04Z"
    status: "True"
    type: Initialized
  - lastProbeTime: null
    lastTransitionTime: "2020-05-26T14:17:23Z"
    status: "True"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: "2020-05-26T14:17:23Z"
    status: "True"
    type: ContainersReady
  - lastProbeTime: null
    lastTransitionTime: "2020-05-26T14:17:03Z"
    status: "True"
    type: PodScheduled
  containerStatuses:
  - containerID: cri-o://9ecd876183d613d0f663a628d0b999903b9188e18fa7080afa6619748cae98fc
    image: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:896f77056906fe7dd2305318b1f15812496c4267df8095216f150dafc0060040
    imageID: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:896f77056906fe7dd2305318b1f15812496c4267df8095216f150dafc0060040
    lastState: {}
    name: cluster-node-tuning-operator
    ready: true
    restartCount: 0
    started: true
    state:
      running:
        startedAt: "2020-05-26T14:17:22Z"
  hostIP: 10.0.147.37
  phase: Running
  podIP: 10.128.0.10
  podIPs:
  - ip: 10.128.0.10
  qosClass: Burstable
  startTime: "2020-05-26T14:17:04Z"
